Bug 497549 - Multiple issues in Authentication chapter of Installation Guide
Multiple issues in Authentication chapter of Installation Guide
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
Development
All Linux
low Severity medium
: 1.2
: ---
Assigned To: Lana Brindley
MRG Quality Engineering
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 12:07 EDT by Jonathan Robie
Modified: 2013-10-23 19:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-11 20:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Robie 2009-04-24 12:07:42 EDT
This chapter should describe what is installed by default, and how users can use an authorization-enabled server, doing this at a high level before descending into details. 

I think the intro should say:

- Both the server and the clients are integrated with SASL
- SASL uses the account a program is running in to identify the user and supply authentication
- As we install it, you have to run the server either as root or as the qpidd user - if you run as a daemon, this happens automatically, but if you run from the command line authentication can be trickier
- A 'guest' account is created by the installation program
- You can set up other accounts or see what accounts exist (see later discussion of saslpasswd2 and sasldblistusers2)


Some details for the further discussion:

- default authentication depends on the cyrus configuration on the box, it is not usually PLAIN
- need to discuss using the guest account in clients vs. connecting using the user account
- need to discuss ANONYMOUS authentication
Comment 1 Lana Brindley 2009-10-11 20:53:55 EDT
This section got thoroughly overhauled for the last release. Which version are you looking at?

Also, I think it's important we don't go into a massive amount of detail. The idea is to give an overview of the authentication capabilities, and then point the reader to the user guide for the complete run down.

LKB

Note You need to log in before you can comment on or make changes to this bug.